Agents
Archive an agent
Archives an agent, hiding it from default list views and disabling all schedules.
Archived agents can still be accessed by ID and appear in list endpoints when
includeArchived=true.
POST
/
api
/
v1
/
agent
/
{agentId}
/
archive
Archive an agent
curl --request POST \
--url https://api.example.com/api/v1/agent/{agentId}/archive \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/agent/{agentId}/archive"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/agent/{agentId}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 123,
"statusDescription": "<string>",
"message": "<string>",
"severity": 0,
"errorCode": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
API Key authorization header. Example: "Authorization: ApiKey {your-api-key}"
OAuth 2.0 Bearer token. Example: "Authorization: Bearer {access-token}"
Path Parameters
The ID of the agent to archive
Response
Agent archived successfully